+ Responder ao Tópico



  1. #1
    mhenrique
    E ae galera, bele?

    Seguinte, nao sou leigo mas tb nao sou expert, já pesquisei um pouco antes de pedir ajuda a vcs, mas estou sem tempo para pesquisar mais.

    Instalei o RH9 com o pacote completo de servidor WEB, só que o PHP nao está inicializando a sessao e estou desconfiado do Apache 2.
    Entao, como faço pra remover o apache 2, via comando de texto ou pelo Webmin tb e instalar o Apache 1.3??

    Agradeço desde já a ajuda de vcs, estou mesmo precisando urgente disso.

    Abraço a todos
    Marcelo Henrique

  2. para desisntalar qualque pacote no RH:

    rpm -e nomedopacote

    tente ae então:

    rpm -e apache

    (rpm -e php -> no php)

    mas acho que vc não ira achar nenhum pacote rpm do apache 1.3 que de certo no RH9, pois o apache 1.3 ia até o RH 7.3, e na certa dará erros nas dependencias. Vc terá que pegar o apache 1.3 no site do apache e compilá-lo, e na maioria daz vezes, terá que compilar junto o php....

    Se eu fosse vc, tentariamos arrumar o erro da sessão que esta acontecendo ae..... especifica melhor este erro....



  3. #3
    violinista
    Concordo com o PiTsA ... talvez seja mais fácil vc resolver o erro q está dando do que voltar pra versão anterior ... veja no httpd.conf se ele está carregando o php ... geralmente, como padrão, as linhas que carregam os módulos do PHP vem comentadas ...

  4. #4
    control
    pra mim a melhor alternativa é remover estes pacotes e compilar o apache+php , acho q isso pode te ajudar

    1. gunzip apache_xxx.tar.gz
    2. tar -xvf apache_xxx.tar
    3. gunzip php-xxx.tar.gz
    4. tar -xvf php-xxx.tar
    5. cd apache_xxx
    6. ./configure --prefix=/www --enable-module=so
    7. make
    8. make install
    9. cd ../php-xxx
    10. Agora, configure o seu PHP.
    Aqui é quando você entra na fase de customização do seu PHP,
    com várias opções, tais como quais extensões serão habilitadas.
    Execute o comando ./configure --help para uma lista das opções disponíveis.
    Em nosso exemplo, nós faremos uma simples configuração (./configure) com Apache 1 e suporte ao MySQL.

    Seu caminho ao binário apxs (Apache) pode variar de nosso exemplo abaixo:

    ./configure --with-mysql --with-apxs=/www/bin/apxs

    11. make
    12. make install

    Se você decidir mudar as opções de seu configure depois da instalação
    você precisará somente repetir os últimos 3 passos. Você somente precisará
    reiniciar o apache para o novo módulo funcionar. Não será necessário recompilar
    o Apache.

    13. Configurando seu arquivo php.ini:

    cp php.ini-dist /usr/local/lib/php.ini

    Você pode editar o seu arquivo .ini para configurar as opções do PHP. Se
    você preferir que este arquivo fique em outro lugar, use a opção
    --with-config-file-path=/caminho no passo 10.

    Se por acaso em vez de optar pelo php.ini-dist, optar pelo php.ini-recommended, esteja
    certo de ler a lista de mudanças ocorridas, pois elas podem afetar o modo como o PHP se comportará.

    14. Edite o seu arquivo httpd.conf para carregar o módulo do PHP. O caminho no lado direito
    do comando LoadModule deve apontar para para o caminho do módulo PHP do seu sistema.

    O comando (make install) acima já deve ter adicionado estas linhas, mas tenha certeza
    de que as linhas abaixo foram adicionadas ao arquivo.

    Para PHP 4:

    LoadModule php4_module libexec/libphp4.so

    Para PHP 5:

    LoadModule php5_module libexec/libphp5.so

    15. Em seguida, na seção AddModule do arquivo httpd.conf, adicione isto:

    Para PHP 4:

    AddModule mod_php4.c

    Para PHP 5:

    AddModule mod_php5.c

    16. Configure no Apache a interpretação de certas extensões de arquivo como PHP.

    Por exemplo, vamos configurar o Apache que ele interprete as extensões .php
    como PHP. Você pode ter qualquer extensão interpretada como PHP simplesmente adicionando
    algumas outras extensões de arquivo, cada uma separada por um espaço.
    Nós iremos adicionar a extensão .phtml apenas para demonstrar.

    AddType application/x-httpd-php .php .phtml

    Você pode escolher qualquer extensão aqui. A extensão .php é simplesmente uma sugestão
    que nós damos. Você também pode incluir .html, e .php3 pode ser adicionado para
    compatibilidade com versões antigas.

    É comum também configurar no Apache a extensão de arquivo .phps para mostrar os códigos
    fonte formatados de maneira colorida, isto pode ser feito assim:

    AddType application/x-httpd-php-source .phps

    SUGESTÃO:

    Coloque esta linha abaixo do comando AddModule descrito acima, isto facilita a sua remoção
    posterior e organiza seu arquivo de configuração do Apache.

    17. Use seu procedimento normal para iniciar o servidor Apache. (Você deve
    parar e reiniciar o servidor, não somente fazer um reinício enviando
    um sinal HUP ou USR1.)






Tópicos Similares

  1. problemas para instalar o apache !!!!!!
    Por noir no fórum Servidores de Rede
    Respostas: 18
    Último Post: 20-07-2004, 15:41
  2. Prblema com apache do slackware 9.0
    Por Visitante no fórum Servidores de Rede
    Respostas: 3
    Último Post: 10-03-2004, 08:32
  3. Instalar o apache!
    Por JoSk8 no fórum Servidores de Rede
    Respostas: 9
    Último Post: 14-10-2003, 14:08
  4. adicionar suporte do php ao mysql no apache
    Por no fórum Servidores de Rede
    Respostas: 1
    Último Post: 01-08-2003, 00:43
  5. Como desistalo completamente o apache do Linux?
    Por no fórum Servidores de Rede
    Respostas: 3
    Último Post: 13-03-2003, 22:17

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L